Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/lablgtk: new aport

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Tue, 24 Jan 2017 16:15:36 +0100

---
Since ocaml can use the library either at run-time (interpreter) like a
python-module or to do native compile: I disabled the -dev split. Please review.
 testing/lablgtk/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/lablgtk/APKBUILD
diff --git a/testing/lablgtk/APKBUILD b/testing/lablgtk/APKBUILD
new file mode 100644
index 0000000000..81dce38d9e
--- /dev/null
+++ b/testing/lablgtk/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=lablgtk
+pkgver=2.18.5
+pkgrel=0
+pkgdesc="LablGtk - an OCaml interface to GTK+ 2.x"
+url="http://lablgtk.forge.ocamlcore.org/"
+arch="all"
+license="GPL"
+# Most files are used for run-time and/or native-compile, so we don't do
+# a dev split
+depends="ocaml-findlib camlp4 ocaml gtk+-dev gtkspell-dev librsvg-dev
+	gtksourceview2-dev"
+makedepends="$depends"
+install=""
+subpackages="$pkgname-doc"
+source="https://forge.ocamlcore.org/frs/download.php/1627/lablgtk-$pkgver.tar.gz"
+builddir="$srcdir/lablgtk-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make world || return 1
+	make opt || return 1
+	make doc || return 1
+}
+
+
+doc() {
+    pkgdesc="$pkgdesc (documentation)"
+    _docdir="$subpkgdir"/usr/share/doc/$pkgname/
+    mkdir -p "$_docdir"
+    cp -r "$builddir"/doc/html/* "$_docdir"
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/ocaml/ld.conf
+}
+
+md5sums="43eb7062439f7ddd0d8ad96c3e3b87dd  lablgtk-2.18.5.tar.gz"
+sha256sums="2bf251db21c077fdd26c035ea03edd8fe609187f908e520e87a8ffdd9c36d233  lablgtk-2.18.5.tar.gz"
+sha512sums="7b6ba1a4dfa82cc3bbc502082ff4fccc23cc06ee4f30d01a2e423f3f99e945a4befe450d230b5aa19c5b810e9f46f2838655099d49da2db7c8a2e52eac213024  lablgtk-2.18.5.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jan 24 2017 - 16:15:36 GMT